Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.management.security
Class DeploymentModel

    java.lang.Object
      weblogic.management.security.DeploymentModel

public class DeploymentModel
extends Object

The `DeploymentModel` class provides constants for the security deployment model used on the `RealmMBean`.

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Field Summary
`static String` | `ADVANCED` Indicates the "Advanced" deployment model.
`static String` | `CUSTOM_ROLES` Indicates the "Customized Roles" deployment model.
`static String` | `CUSTOM_ROLES_POLICIES` Indicates the "Customized Roles And Policies" deployment model.
`static String` | `DD_ONLY` Indicates the "DD Only" deployment model.
`static String` | `MODEL_LIST_DISPLAY`

Constructor Summary
`DeploymentModel()`

Method Summary
`static boolean` | `isValidModel(String model)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ADVANCED

    public static final String ADVANCED

  Indicates the "Advanced" deployment model.

  See Also:
    Constant Field Values

### CUSTOM_ROLES

    public static final String CUSTOM_ROLES

  Indicates the "Customized Roles" deployment model.

  See Also:
    Constant Field Values

### CUSTOM_ROLES_POLICIES

    public static final String CUSTOM_ROLES_POLICIES

  Indicates the "Customized Roles And Policies" deployment model.

  See Also:
    Constant Field Values

### DD_ONLY

    public static final String DD_ONLY

  Indicates the "DD Only" deployment model.

  See Also:
    Constant Field Values

### MODEL_LIST_DISPLAY

    public static final String MODEL_LIST_DISPLAY

See Also:
  Constant Field Values

Constructor Detail

### DeploymentModel

    public DeploymentModel()

Method Detail

### isValidModel

    public static final boolean isValidModel(String model)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD